# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'react_devise/version'

Gem::Specification.new do |spec|
  spec.name          = "react_devise"
  spec.version       = ReactDevise::VERSION
  spec.authors       = ["Sagar Vaghela", "Vishal Malukani"]
  spec.email         = ["sagar19vaghela.sv@gmail.com", "malukanivishal1992@gmail.com"]

  spec.summary       = %q{Implement Devise gem with React JS}
  spec.description   = %q{React + Redux + webpack + Devise gem + Ruby or Rails}
  spec.homepage      = ""
  spec.license       = "MIT"

  # spec.add_development_dependency = ['rspec','devise','react_on_rails']
  spec.add_dependency 'rspec'
  spec.add_dependency 'devise'
  spec.add_dependency 'react_on_rails'
  # spec.add_dependency 'responders', " 0.9.0"



  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  if spec.respond_to?(:metadata)
    spec.metadata['allowed_push_host'] = "https://rubygems.org/"
  else
    raise "RubyGems 2.0 or newer is required to protect against " \
      "public gem pushes."
  end

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.14"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rails", ">= 4.2.6"
  spec.add_development_dependency "ruby", ">= 2.3.0"
end
